(function () {
	const jsFiles = window.jsFiles || [];
	const cssFiles = window.cssFiles || [];

	function talendAddScripts(urls, prepareUrl) {
		urls.forEach(function onUrl(url) {
			let finalUrl = url;
			if (prepareUrl) {
				finalUrl = prepareUrl(url);
			}
			const script = document.createElement('script');
			script.setAttribute('src', finalUrl);
			script.setAttribute('type', 'text/javascript');
			script.async = false;
			document.body.appendChild(script);
		});
	}

	function talendAddStyles(urls, prepareUrl) {
		const title = document.getElementsByTagName('TITLE')[0];
		urls.forEach(function onUrl(url) {
			let finalUrl = url;
			if (prepareUrl) {
				finalUrl = prepareUrl(url);
			}
			const style = document.createElement('link');
			style.setAttribute('rel', 'stylesheet');
			style.setAttribute('media', 'print');
			style.setAttribute('onload', 'this.media="all"');
			style.setAttribute('href', finalUrl);
			document.head.insertBefore(style, title);
		});
	}
	window.talendAddStyles = talendAddStyles;
	window.talendAddScripts = talendAddScripts;

	document.addEventListener('DOMContentLoaded', function onDocumentReady() {
		if (!window.TALEND_INITIATOR_URL.startsWith('@@')) {
			talendAddScripts([window.TALEND_INITIATOR_URL]);
		} else {
			// on prem
			talendAddStyles(cssFiles);
			talendAddScripts(jsFiles);
		}
	});
})();
